# Uses of Interface
org.eclipse.birt.report.engine.content.IForeignContent

Packages that use IForeignContent
Package
Description
org.eclipse.birt.report.engine.content
Defines interfaces of BIRT report items for Engine to pass from executors to emitters.
org.eclipse.birt.report.engine.emitter
Defines the interfaces of report emitters, and also provides serval general classes for emitters to output XML document, process hyperline, etc.

## Uses of IForeignContent in org.eclipse.birt.report.engine.content

Methods in org.eclipse.birt.report.engine.content that return IForeignContent
Modifier and Type
Method
Description
`IForeignContent`
IReportContent.`createForeignContent()`
create the foreign content.
Methods in org.eclipse.birt.report.engine.content with parameters of type IForeignContent
Modifier and Type
Method
Description
`Object`
IContentVisitor.`visitForeign(IForeignContent foreign, Object value)`
visit exteded item

## Uses of IForeignContent in org.eclipse.birt.report.engine.emitter

Methods in org.eclipse.birt.report.engine.emitter with parameters of type IForeignContent
Modifier and Type
Method
Description
`void`
IContentEmitter.`startForeign(IForeignContent foreign)`
Start foreign